org.apache.sling.commons.html.impl.tag

## Class StartTag

- java.lang.Object
- - org.apache.sling.commons.html.impl.tag.StartTag

All Implemented Interfaces:
  HtmlElement

    public class StartTag
    extends Object
    implements HtmlElement

### Constructor Summary

Constructors
Constructor and Description
`StartTag(String value, Map<String,AttrValue> attrList)`
`StartTag(String value, Map<String,AttrValue> attrList, boolean selfClosing)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,AttrValue>` `getAttributes()`
`HtmlElementType` `getType()` Retrieve the associated ElementType
`String` `getValue()` The String value that best represents what this element is.
`boolean` `getVoidTag()` Whether this element contains Attributes
`boolean` `supportsAttributes()` Must be defined as true to allow default methods to work correctly, this method and the getAttributes method are used together to implement attribute support in an element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.commons.html.HtmlElement

`accept, containsAttribute, getAttributeValue, hasAttributes, setAttribute`

### Constructor Detail

#### StartTag

    public StartTag(String value,
                    Map<String,AttrValue> attrList)

#### StartTag

    public StartTag(String value,
                    Map<String,AttrValue> attrList,
                    boolean selfClosing)

### Method Detail

#### getType

    public HtmlElementType getType()

Description copied from interface: `HtmlElement`
Retrieve the associated ElementType

Specified by:
  `getType` in interface `HtmlElement`
Returns:
  element type

#### getValue

    public String getValue()

Description copied from interface: `HtmlElement`
The String value that best represents what this element is.

Specified by:
  `getValue` in interface `HtmlElement`
Returns:

#### supportsAttributes

    public boolean supportsAttributes()

Description copied from interface: `HtmlElement`
Must be defined as true to allow default methods to work correctly, this method and the getAttributes method are used together to implement attribute support in an element.

Specified by:
  `supportsAttributes` in interface `HtmlElement`
Returns:
  true if Element supports attributes

#### getVoidTag

    public boolean getVoidTag()

Description copied from interface: `HtmlElement`
Whether this element contains Attributes

Specified by:
  `getVoidTag` in interface `HtmlElement`
Returns:

#### getAttributes

    public Map<String,AttrValue> getAttributes()

Specified by:
  `getAttributes` in interface `HtmlElement`